fli4l
Apache
eisfair
DBox2
Geschichte
  blankblankblank  
Compaq Deskpro SFF
Der eisfair 1.4.2 läuft u.a. mit:
Mein Apache
600 MHz Pentium III
Apache 2.0.59
Klick drauf um meinen Server zu sehen
320 MB SDRAM Kingston
TeamSpeak 2.0 Server
160 GB HDD SP1634N
Perl 5.6.1 / Python 2.3.4 / Ruby 1.8.4
Disketten-LW
PureFTPd 1.0.21 / SSHd 4.3p2 / xinetd 2.3.14
Intel Megabit Ethernet
VLC 0.8.4a / DBox2-Streaming-Server 1.0.1 / NFS-Server 1.0.6
Intel Gigabit PRO 1000 GT
OpenSSL 0.9.8d / MySQL 4.1.19 / PHP 5.1.61 / phpMyAdmin 2.8.0.4
 
 
   
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ Streaming von der DBox2 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 
streaming_manual.html
 
 
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ verschiedene Server-Pakete ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Verwendete Pakete:  
-> phpsysinfo-2.3.tar.gz => einfaches Sysinfo mit Temperatur, Laufzeit und Systeminfornationen
-> nagios-1.2.tar.gz => sehr gutes und umfangreiches Statustool
     
     
make 3.80:    
-> make-3.80 der Makebefehl (LINK) zum compilieren und installieren
  => Du installierst die Version 3.80 mit den folgenden Befehlen:

blankblankblank mit "tar xvfz make-3.80.tar.gz" entpackst du das File
blankblankblank
gehe nun in den erstellten Ordner
blankblankblank ./configure --prefix=/usr
blankblankblank make
blankblankblank make check (wenn Du testen möchtest ob es erfolgreich war)
blankblankblank make install
blankblankblank make clean (damit löscht Du die erstellten Configure-Files)
 
     
 
 
Comicstrips von dailystrips.sourceforge.net:  
-> dailystrips-1.0.28.tar.gz => jeden Tag neue lustige Strips auf dem Server ;)
=> Vorraussetzung dafür sind die folgenden eisfair-Pakete:
  -> perl_html_parser
-> perl_libnet
-> perl_digest_md5
-> perl_mime_base64
-> perl_lib_uri ..................... und
==> make.tar.gz.info => der Makebefehl von http://www.12th.de
==> libwww-perl-5.64

=> diverse Perl-Sammlung für's www, wie z.B. Cookies, Status, UserAgent, Robot-Rules, etc.

==> TimeDate-1.16.tar.gz

=> Date::Parse Modul zum Verändern der Zeit, z.B. bei dailystrips zum Download älterer Strips

 

==> TimeDate & libwww gibt es auf der Perl.org & Du installierst diese mit den folgenden Befehlen:
blankblankblank
blankblankblank
perl Makefile.PL
blankblankblank make
blankblankblank make test
blankblankblank make install

Das als Error angezeigte pod2man benötigtst Du auf dem eisfair nicht,
denn die ManPages gibt es da nicht wirklich.

     
 
 
Bildergalerie von gallery.sourceforge.net:    
-> gallery-1.5-RC2.tar.gz => sehr gute Bildergalerie mit Onlineeditor, Verwaltung, etc.
=> Vorraussetzung dafür ist das folgenden Paket:
==> netpbm-upd.tar.gz

=> Von mir angepasste netBPM für meinen eisfair, auf Grundlage von Oliver Musch's Paket,
blankblankblank damit die Bildergalerie auch funktioniert, denn das Paket auf der eisfair-Seite ist zu alt.
blankblankblank Die Module in /usr/local/lib müssen nur noch nach der Installation ausführbar gemacht werden!

     
     
Webalizer:    
-> die Konfigurationsdatei webalizer-config.txt  
     
     
Modlogan:    
-> modlogan-0.8.13.tar.gz Apache Logfileauswertung (siehe auch Webalizer)
 

=> mit den folgenden Befehlen installierst Du es:

blankblankblank
perl ./configure
blankblankblank make
blankblankblank make install

=> mit den folgenden Befehlen konfigurierst Du es:

.blankblankblank
modlogan -r/--root

=> Vorraussetzungen für modlogan sind neben
libpcre5.0, libpcre3,libstdcpp-libc6, libz1.2, libgd, libpng
u.a. auch die folgenden Pakete:
==> flow-tools-0.66.tar.gz

=> Du installierst die Betaversion 0.66 mit den folgenden Befehlen:

blankblankblank
perl ./configure <------------------------- nicht komplett fertsch!!! ERRROR
blankblankblank make
blankblankblank make install

==> libintl-perl-1.11.tar.gz

=> Du installierst die Version 1.11 mit den folgenden Befehlen:

blankblankblank
perl Makefile.PL
blankblankblank make
blankblankblank make test
blankblankblank make install

==> expat-2005-01-28.tar.gz

=> Du installierst die Version 1.95.8 mit den folgenden Befehlen:

blankblankblank
./configure --prefix=/home/expat/
blankblankblank make
blankblankblank make install
.blankblankblank <- libintl checken -> (<- downloadbar!!!!)
blankblankblank ldconfig (den Inhalt von /etc/ld.so.conf überprüfen)
blankblankblank - wenn meine libintl in usr/include liegt, dann ->
blankblankblank make CLFAGS=-I/usr/include

     
     
JCraft JCTerm:    
-> JCTerm Webbasierte Möglichkeit mit einem Java-PlugIn auf die Shell und auf SFTP zuzugreifen. (Bild1 & Bild2)
     
     
Squid Webproxy & -Guard :    
-> squid Squid Webproxy zum cachen und Squidguard zum Schutz vor geblacklisteten Seiten
 

=> Blacklist (<- downloadbar!!!!)
=> squid.conf

     
     
ruby 1.8.4:    
-> ruby-1.8.x die Ruby Programmiersprache in Version 1.8.4 (LINK) (Download)
  => Du installierst die Version 1.8.4 mit den folgenden Befehlen:

blankblankblank mit "tar xvfz ruby-1.8.4.tar.gz" entpackst du das File
blankblankblank
gehe nun in den erstellten Ordner
blankblankblank ./configure --prefix=/usr
blankblankblank make
blankblankblank make install
 
     
     
PDFlib Lite 6.0.3:    
-> pdflib-lite-6.x die PDFLibrary zum Erzeugen von PDF-Files mit PHP 5.1x (LINK)
  => Du installierst die Version 6.0.3 mit den folgenden Befehlen:

blankblankblank mit "tar xvfz PDFlib-Lite-6.0.3.tar.gz" entpackst du das File
blankblankblank
gehe nun in den erstellten Ordner
blankblankblank ./configure --prefix=/usr
blankblankblank make
blankblankblank make install
 
     
     
ImageMagick 6.2.6:    
-> imagemagick 6.2.6 ImageMagick zum Convertieren und Bearbeiten von Bildern (LINK)
=> Vorraussetzung für ImageMagick ist u.a. libSM, libICE, libimagemagick, libtiff, libjpeg, libfreetype_2, libbz2, libz
  => Du installierst die Version 6.2.6 mit den folgenden Befehlen:

blankblankblank mit "tar xvfz ImageMagick.tar.gz" entpackst du das File
blankblankblank
gehe nun in den erstellten Ordner
blankblankblank ./configure --prefix=/usr --with-modules=yes
blankblankblank make
blankblankblank make install
blankblankblank Funktionstest: " /usr/local/bin/convert logo: logo.gif "
 
     
     
Igal 1.4:    
-> igal 1.4 igal ist ein einfaches Tool um innerhalb eines Bilder Ordners eine Galerie zu erzeugen (LINK)
  => Du installierst diese Version mit den folgenden Befehlen:

blankblankblank mit "tar xvfz igal-1.4.tar.gz" entpackst du das File
blankblankblank
gehe nun in den erstellten Ordner
blankblankblank make install
 
     
     
texinfo 4.8:    
-> texinfo 4.8 die Dokumentation für GNU in Version 4.8 (LINK)
  => Du installierst die Version 4.8 mit den folgenden Befehlen:

blankblankblank mit "tar xvfz texinfo-4.8.tar.gz" entpackst du das File
blankblankblank
gehe nun in den erstellten Ordner
blankblankblank ./configure --prefix=/usr
blankblankblank make
blankblankblank make install
 
     
     
gzip 1.2.4:    
-> gzip-1.2.x der Packer GZIP 1.2.4 (LINK) zum Beheben des zcat-Errors unter eis
  => Du installierst die Version 1.2.4 mit den folgenden Befehlen:

blankblankblank mit "tar xvfz gzip-1.2.4.tar.gz" entpackst du das File
blankblankblank
gehe nun in den erstellten Ordner
blankblankblank ./configure --prefix=/usr
blankblankblank make
blankblankblank make install
 
     
     
glibc 2.3.6:    
-> glibc2.3.x die GNU C Library 2.3.6 (LINK)
  => Du installierst die Version 2.3.6 mit den folgenden Befehlen:

blankblankblank mit "tar xvfz glibc-2.3.6.tar.gz" entpackst du das File
blankblankblank
erstelle in dem entpackten Ordner den Ordner "glibc-build"
blankblankblank kopiere in diesen Ordner das configure-File
blankblankblank gehe nun in den Ordner "glibc-build"
blankblankblank ./configure --prefix=/usr --with-modules=yes --enable-add-ons
blankblankblank make
blankblankblank make install
blankblankblank
 
     
     
fastjar-0.93 :    
-> fastjar-0.93 fastjar 0.93 für GCC (LINK)
  => Du installierst die Version 0.93 mit den folgenden Befehlen:

blankblankblank mit "tar xvfz fastjar-0.93.gz" entpackst du das File

blankblankblank gehe nun in den Ordner erstellten Ordner

blankblankblank aclocal
blankblankblank autoheader
blankblankblank automake --gnu --add-missing --copy
blankblankblank autoconf

.blankblankblank /configure --prefix=/usr
blankblankblank make
blankblankblank make install
blankblankblank

Die Befehle von aclocal
bis autoconf benötigst Du nur,
wenn dieser Fehler auftritt:

cd . && automake --gnu Makefile
Makefile.am: required file
`./depcomp' not found
make: *** [Makefile.in] Error 1

     
     
gcc 2.4.4:    
-> gcc-3.4.4 GCC 3.4.4 (LINK)
  => Du installierst die Version 3.4.4 mit den folgenden Befehlen:

blankblankblank mit "tar xvfj gcc-3.4.4.tar.bz2" entpackst du das File
blankblankblank gehe nun in den erstellten Ordner
blankblankblank ./configure --prefix=/usr --with-modules=yes
blankblankblank make
blankblankblank make install
blankblankblank
 
     
     
linuxthreads:    
-> linuxthreads die LinuxThreads Library (LINK)
  => Du installierst sie mit den folgenden Befehlen:

blankblankblank mit "tar xvfz linuxthreads.tar.gz" entpackst du das File
blankblankblank
gehe nun in den erstellten Ordner
blankblankblank ./configure --prefix=/usr
blankblankblank make
blankblankblank make install
 
     
     
gtk+-2.6.9 :    
-> gtk+-2.6.9 gtk+-2.6.9 (LINK)
  => Du installierst die Version 3.4.4 mit den folgenden Befehlen:

blankblankblank mit "tar xvfj gtk+-2.6.9.tar.bz2" entpackst du das File
blankblankblank gehe nun in den erstellten Ordner
blankblankblank ./configure
blankblankblank make
blankblankblank make install
blankblankblank
 
     
     
MagickWand For PHP 1.0.9:    
-> MagickWand-1.0.9 MagickWandForPHP-1.0.9(LINK)
  => Du installierst die Version 1.0.9 mit den folgenden Befehlen:

blankblankblank mit Wand-config --version prüfst du die vorhandene Version
blankblankblank phpize
blankblankblank./configure
blankblankblankmake
blankblankblank make
blankblankblank install
blankblankblank hinzufügen von extension=magickwand.so in die php.ini
blankblankblank ändern der Werte in der php.ini -> magic_quotes_gpc = On
blankblankblank ändern der Werte in der php.ini -> max_execution_time = 60
blankblankblankApache neustartenblank
 
     
     
axxxe 2.1.3:    
-> axxxe-2.1.3 der aktuelle axxxe Client auf dem eisfair (LINK)
 

Sofern du eine wxBase von eisfair installiert hast, dann deinstalliere sie bitte wie gewohnt und gehe danach wie folgt vor:

Zuerst die wxGTK 2.6.3 installieren:
Download von:
- wxGTK-2.6.3.tar.bz2
- wxWidgets-2.6.3-Patch-2.tar.gz

Danach wechselst du in das Verzeichnis wohin du es gedownloadet hast und gibst folgende Befehle ein:
tar -jxvf wxGTK-2.6.3.tar.bz2
tar -C wxGTK-2.6.3 -xzvf wxWidgets-2.6.3-Patch-2.tar.gz


Nun gehe in das eben entpackte Verzeichnis (cd wxGTK-2.6.3) und gib folgenden Befehl ein:

./configure --prefix=/usr && make install

=> Du installierst ihn mit den folgenden Befehlen, nachdem du dich vergewissert hast,
blankblankblank dass du die wxBase 2.6.2 (libwx_baseu - unter lib zu finden) auf dem eis installiert hast:

-> Wenn du das CVS installieren möchtest, dann benötigst du vorher noch aus einem axxxe-CVS-2007xxxx.tar.bz2 den Inhalt des Ordners "intl", den du dir manuell nachkopieren kannst


blankblankblank mit "tar xvfj axxxe-2.1.3.tar.bz2" entpackst du das File

gehe nun in den erstellten Ordner und verwende folgenden Befehl zum Erstellen & Compilieren:
./configure --disable-debug --enable-optimize && make

FreeBSD:
./configure --prefix=/home/user/axxxe-cvs/ --with-wx-config=/usr/local/bin/wxgtk2u-2.8-config --disable-debug --with-curl-config=/usr/local/bin/curl-config --enable-webserver --enable-optimize --with-included-gettext --enable-axxxe-daemon --enable-axxxecmd --enable-cas

My:
./configure --prefix=/usr --disable-gtk2 --with-gtk && make
./configure && make
./configure --prefix=/home/axxxe --disable-gtk2 --with-wx-config=/usr/lib/wx/config/base-unicode-release-2.6 --with-gtk && make -b --disable-debug --with-curl-config=/usr/local/bin/curl-config --enable-webserver --enable-optimize --with-included-gettext --enable-axxxe-daemon --enable-axxxecmd --enable-cas --enable-static --enable-axxxe-gui --enable-wxcas --enable-alc --enable-alcc --enable-utf8-systray

Klappt:

./configure --prefix=/home/axxxe --disable-gtk2 --with-wx-config=/usr/lib/wx/config/base-unicode-release-2.6 --disable-debug --with-curl-config=/usr/local/bin/curl-config --enable-webserver --enable-optimize --with-included-gettext --enable-axxxe-daemon --enable-axxxecmd --enable-cas --enable-static --enable-axxxe-gui --enable-wxcas --enable-alc --enable-alcc --enable-utf8-systray && make -i

make -i (Compilieren und Fehler ignorieren)

makie -i install

---> Error:
mkdir -p -- /home/axxxe/share/locale/ko_KR/LC_MESSAGES
installing ko_KR.gmo as /home/axxxe/share/locale/ko_KR/LC_MESSAGES/axxxe.mo
if test "axxxe" = "gettext"; then \
/bin/sh `case "./mkinstalldirs" in /*) echo "./mkinstalldirs" ;; *) echo ".././mkinstalldirs" ;; esac` /home/axxxe/share/gettext/po; \
for file in Makefile.in.in Makevars remove-potcdate.sin quot.sed boldquot.sed en@quot.header en@boldquot.header insert-header.sin Rules-quot ; do \
/usr/bin/install -c -m 644 ./$file \
/home/axxxe/share/gettext/po/$file; \
done; \
else \
: ; \
fi
make[1]: Leaving directory `/usr/local/axxxe-2.1.3/po'
make[1]: Entering directory `/usr/local/axxxe-2.1.3'
make[2]: Entering directory `/usr/local/axxxe-2.1.3'
make[2]: Nothing to be done for `install-exec-am'.
test -z "/home/axxxe/share/pixmaps" || mkdir -p -- "/home/axxxe/share/pixmaps"
/usr/bin/install -c -m 644 'axxxe.xpm' '/home/axxxe/share/pixmaps/axxxe.xpm'
test -z "/home/axxxe/share/applications" || mkdir -p -- "/home/axxxe/share/applications"
/usr/bin/install -c -m 644 'axxxe.desktop' '/home/axxxe/share/applications/axxxe.desktop'
make[2]: Leaving directory `/usr/local/axxxe-2.1.3'
make[1]: Leaving directory `/usr/local/axxxe-2.1.3'
localhost #

-----------------------

blankblankblank ./configure --prefix=/usr --disable-gtk2 --with-gtk && make
blankblankblank ./configure && make
blankblankblank -> bei einem Fehler an der Stelle bitte diesen Befehl:
blankblankblank blankblankblank ./configure --with-wx-config=/path/wx-config
blankblankblank -> und bei einem Fehler und einem unbekanntem WX-Pfad, verwendest du auf dem
blankblankblank eisfair den folgenden Befehl (zumindest sollte dort die "eis-wx" zu finden sein):
blankblankblank blankblankblank ./configure --with-wx-config=/path/wx-config --with-wx-config=/usr/lib/wx/config/base-unicode-release-2.6

./configure --prefix=/usr --disable-gtk2 --with-gtk && make --with-wx-config=/usr/lib/wx/config/base-unicode-release-2.6 --with-modules=yes --enable-add-ons

wenn du den CVS-Webclient verwenden möchtest, dann gib nun Folgendes ein:
./autogen.sh
./configure --prefix=/usr --with-modules=yes --enable-add-ons

aclocal
blankblankblank autoheader
blankblankblank automake --gnu --add-missing --copy
blankblankblank autoconf
blankblankblank ./configure --prefix=/usr
blankblankblank make
blankblankblank make install

     
     
 
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ sonstige Tricks, Hilfen & Terminal - Befehle ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
txt - Datei
Tricks & Hilfen
 
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ SSL ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.
SSL Verbindung auf Superkubis Server:
JA ich will verschlüsselt weitermachen -> KLICK HIER
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ Superkubis ID-Board Forum ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
(noch im Aufbau) Superkubis ID-Board-Forum
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ diverse freie PHP Scripte ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
-> htaccess - Crypt - Generator
-> Domainchecker - Welche ist noch frei?
-> docroot zum Auslesen des absoluten Pfades
-> Suchmaschineneintragsdienst
-> Kontaktformular
-> Onlineuser
-> Counter
-> Versuchsbeispiele
 
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ Strips ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
http://superkubi.homeftp.net/fun/
 
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ Webseiten ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
auf dem eisfair gehostete Domains:
marcoengel.de.vu / swenshaus.de.vu /
cs-team-gr.de.vu / raikm.de.vu

interne:
kublikon.de
/ danielkubein.de / eurosee.de /
kreba-neudorf.de / kubein.info /

externe:
fli4l.de
/ eisfair.org

scanning:
pc-info / scanner / sygate / BrowserSpy /


 
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ der alte eisfair 1.0.8 mit Apache1 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
eisfair-apache1.html
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ eisfair 1.3.2 Pakete ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
eisfair -Serverpakete:  
/downloads/ Die eisfair 1.3.2. Pakete waren ehemals auf dem fli4l gemounted) und da dieser nicht mehr in Betrieb ist, stehen die Downloads auch nicht mehr im Netz zur Verfügung, sondern lediglich auf eMailanfrage bei mir. Anbei nur noch eine kleine Auswahl der von mir verwendeten Serverpakete. Aufgrund der Masse an installierten Paketen (über 250) ist die Liste unten natürlich nicht allumfassend.
   
-> axxxed 0.2.0 => eMule Portierung für Linux, basierend auf dem eMule Code
-> antispam 1.2.2 => SpamAssassin Version 2.63 mit Bayes filter support.
-> Apache 2 Webalizer 1.0.1 => visualisierte Webserverzugriffe (incl. meiner Configanpassung)
-> Apache2 1.0.6 => Der Apache2 Webserver in Version 2.0.55
-> Apache2-php5 1.0.5 => PHP 5.1.1 mit GDlib 2.0.33 fuer Apache2
-> apache-htdig 1.0.9 => ht://Dig - The searchengine
-> certs 1.0.3 => Zertifikate für den eisfair (https)
-> cron 1.40 => CRON zum zeitgesteuertem Ausführen diverser Befehle
-> dbimysql 0.90.0 => DBI- DBD für MySQL mit DBI 1.20 und DBD MySQL 2.1008 (u.a. für Confixx 3 erforderlich)
-> dbox-streaming 1.0.1 => damit kann das DBox2-Neutrino direkt auf dem eisfair Filme in .vob oder .mpg streamen
-> devtools 1.0.0 => Bison 1.875, Flex 2.5.4a, Patch 2.5.4, Make 3.80, Autoconf 2.59, Automake 1.9.2, Libtool 1.5.8
-> diverse Packer => arc 0.90.0 / bzip2 0.2.1 / lha 0.90.0 / unarj 0.90.0 / unrar 0.90.0 / unzip 1.1.1 / zip 1.1.1 / zoo 0.90.0
-> dmesg 0.1.1 => ein Kernel-Log-Viewer
-> editoren 0.1.1 => emacs und nano (alternative Kommandozeileneditoren)
-> eisbase 1.0.1 => das eisfair Grundpaket (incl. Konvertierungsmöglichkeit zu ext3)
-> eisbase 1.0.7 => das Update auf die Version -> Kernel 2.2.19
-> eisbase 1.0.8 => das Update damit der NFS-Server 1.1.0 verwendet werden kann
-> eisbase 1.2.1 => das Update auf die aktuellste Version (LINK zum changelog)
-> eisgraph 0.0.10 => graphische Auswertung der Auslastung, des Speichers etc. mit Hilfe von rrdtool
-> eiskernel-non-smp 1.0.13 => Update auf den Kernel 2.4.26-1, wegen der Dateigrössenunterstützung von über 2 GB
-> eistemp 0.2.3 => Digitemp 1.7 zur Anzeige der Temperatur bzw. zum Auslesen der Sensoren auf dem Board.
-> expat 1.95.8 => ein XML-Parser in C geschrieben (für Modlogan benötigt )
-> gcc 1.0.0 => Gcc-2.95.3 Compiler (gegen Error ;-) -> "configure: error: no acceptable cc found in $PATH")
-> gconv 0.2.0 => Erweiterung der glibc um codepages umzuwandeln (z.B. für TeamSpeak erforderlich)
-> gettext 1.0.6 => Gettext für Internationale Schriftzeichen u.v.m.
-> ghostscript 1.0.6 => Ghostscript fuer Samba, z.B. zum Drucken von PDF's und anderem
-> glibc-dev 1.0.0 => glibc Headers und Object Dateien 2.2.5-11.5 (Hilfe auf http://www.eisfair.12th.de)
-> iftop 0.1.2 => listet den Netzwerktraffic je Host grafisch in der Shell auf
-> imagemagick 0.9.2 => zum Verändern von Bildern z.B. innerhalb von PHP (Web-PHP-Anwendung)
-> ImageMagick6 0.0.1 => ImageMagick6.2.6 ist ein Tool zum Verändern von Bildern, z.B. zum Erstellen von Vorschaubildern
-> imlib2 0.0.2 => imlib2 1.1.0 zum Rendern und Bearbeiten von Bildern, sowie dem Polygonsupport
-> imlib2-dev 0.0.2 => imlib Headerfiles zum Rendern und Bearbeiten von Bildern, sowie dem Polygonsupport
-> inet 1.4.1 => PureFTP 1.0.18, TFTPD 1.4.2, SSHD 3.8p1 und Xinetd 2.3.13
-> info 0.1.0 => Systemstatus auf dem Webserver
-> iptraf 0.1.1 => iptraf 2.7 ist ein Netzwerkmonitor für die Shell
-> jre1.4.2_08 => Java Runtime environment 1.4.2_08
-> i2c-modules 0.1.1 => I2C Module 2.9.2 sind Treiber für die Mainboardsensoren
-> kernelsourcen 0.90.0 => Limited Kernelsourcen für das Compilieren mit Glibc (nicht für Kernelcompiling!)
-> libcap 1.0.1 => libcap-0.6.2 zum Einstellen und setzen von Posix1e (POSIX 6)
-> libcurl 1.4.2 => curl-7.14.0 Kommandozeilentool zum Datentransfer
-> libdb4 3 1.0.0 => die Berkeley DB 4.3.27 bestehend aus DB 1.85 compatbility und C++ API, sowie pthread support
-> libexpat 1.4.0 => eXpat-1.95.8 ist eine XML parser library
-> libfame 0.0.1 => Library zur schnellen Videoencodierung
-> libgd2 2.0.2 => für PHP: libgd2-2.0.5 7
-> libgdbm1-8 1.0.0 => der GNU Database Manager in Version 1.8.3
-> libgd-gif 1.0.0 => für PHP: libgd-gif Library zur schnellen GIF Kompression
-> libglib2 1.0.4 => glib 2.8.1 ist die Low-Level Kernlibrary welches die Basis von GTK+ and GNOME bildet
-> libiconv-gettext-dev 1.0.0 => für PHP: libiconv und gettext Library (GNU libiconv 1.9.1 & GNU gettext 0.14.1 )
-> libimagemagick6 0.0.3 => ImageMagick Libaries 6.2.6 zum automatischem Generieren von Thumbnails via PHP
-> libimagemagick6-dev 0.0.2 => ImageMagick Libaries 6.2.6 Headers zum automatischem Generieren von Thumbnails via PHP
-> libintl-perl 1.11 => Library for Internationalization 2.0.0 (unstable!!!!!) (für Modlogan benötigt )
-> libjpeg 1.4.3 => für PHP: Library fuer JPEG 6-b
-> libldap 1.1.0 => OpenLDAP librarys Version 2.2.9
-> libmysql-shared 0.2.0 => libmysql-Shared Libraries (u.a. für Confixx 3 erforderlich)
-> libpbm 1.0.0 => für PHP: libpbm Library zum Lesen und Schreiben von PBM Bildern
-> libpcre3 1.0.0 => libgdome2-0.8.0 (für Modlogan benötigt )
-> libpcre3 1.0.0 => Version 3.4 (für Modlogan benötigt )
-> libpcre5.0 => Perl Compatible Regular Expression Version 5.0 (für Modlogan benötigt )
-> libpdflite_5 1.4.0 => PDFlib-Lite-5.0.4p1
-> libpng2 1.0.0 => für PHP: Library fuer libpng - Portable Network Graphics (libpng-2.1.0.12)
-> libsasl 1.0.0 => einfacher Authentifizierungsmechanismus: getpwent, kerberos5, pam, rimap, shadow, ldap
-> libsasl2-1-20 1.0.0 => Cyrus SASL 2.1.20 libraries: getpwent, kerberos5, pam, rimap, shadow, ldap
-> libssl 1.2.0 => OpenSSL 0.9.7i und 0.9.8a Cryptography Libraries
-> libstdcpp-libc6-2-2 => Standard C++ Library v3
-> libtiff 1.6.2 => tiff-3.7.4 supportet das .tiff-Format
-> libwww-perl-5.64 => Dieses Paket benötigst Du u.a. für dailystrips.
-> libwx_baseu2-6 2.0.0 => Base wxWidgets Functionality Library (non-GUI) (wxBase 2.6.2)
-> libX6 1.0.0 => Library package für libX11.so.6
-> libxml2 1.2.0 => für PHP: XML C Parser und Toolkit (libxml2-2.6.22)
-> libxml-enno-1.02 => LibXML-ENNO (u.a. für Confixx 3 erforderlich)
-> libz 1.1.0 => für PHP: Die zlib 1.2.3 De- und Kompressionsbibliothek
-> libz1-2 1.0.0 => Zlib 1.2.2 (für Modlogan benötigt )
-> libz1-2-dev 1.0.0 => Zlib 1.2.2 dev (für Modlogan benötigt )
-> libbz2 1.4.4 => bzip2-1.0.3 Packer
-> libbz2 1.4.4 => bzip2-1.0.3 Packer
-> libzzip 1.4.3 => die zzip library 0.13.38
-> lmsensors 0.3.6 => lm_sensors 2.9.2, zum Auslesen der Mainboardsensoren
-> lprng 1.10.3 => LPRng 3.8.28
-> mail 1.3.0

=> die eMail Services: EXIM 4.41, EXISCAN 4.41-24, FETCHMAIL 6.2.5, IPOP3D 2004.87,
blankblankblank IMAPD 2004.350, VACATION 1.2.6.1

-> mailmanager 1.0.1 => eMail-Statusanzeigen im minHTTPd
-> MidnightCommander 0.98.2 => der MidnightCommander 4.6.1 ist ein Dateimanager
-> miniHTTPd 2.0.4 => Statusseite für den Webserver
-> MySQL 4.0.23 => die MySQL - Datenbank in Version 4.1.7
-> mysql-dev 0.1.0 => MySQL 4.0.23 Headers und Objectdateien (u.a. für Confixx 3 erforderlich)
-> ncurses 1.0.0 => ncurses 5.4 Softwareemulator
-> netdate 1.14.5 => zur Zeitsynchronisation des Servers
-> netpbm 0.1.0b => für Gallery incl. netpbm pre-built 1.4-pl2, jhead 1.9 & jpegtran 6b
-> NFS Server 1.1.0 => zum Mounten von Verzeichnissen, z.B. für die DBox Direktaufnahme
-> ngrep 1.0.0 => ngrep 1.40.1-2.1 der Netzwerksniffer
-> openssl 0.1.0 => das OpenSSL-Zertifikat für gesicherte Datenübertragung
-> Perl 1.0.0 => Perl incl. diverser Module
-> perl geo ip 1.0.0 => Perl Module Geo::IP v1.25 für Webalizer
-> perl_digest_md5 1.1.0 => Perl Modul MD5 2.27 zur Verwendung des RSA Data Security Inc. MD5 Anzeige Auswahlalg.
-> perl_html_parser 1.1.0 => Perl HTML Parser 3.3.1
-> perl_mail_audit 1.1.0 => Perl Module Mail::Audit v2.10 zum erstellen einfacher Mailfilter (u.a. erforderlich für SpamAssin)
-> perl_mailtools 1.1.0 => Perl Module MailTools v1.60 für Mailaplikationen (u.a. erforderlich für SpamAssin)
-> perl_mime_base64 1.1.0 => Perl Module MIME Base64 v2.20 kodiert & encodiert base64 Code (MIME).
-> perl_net_dns 1.1.0 => Perl Module Net::DNS v0.40 für eine DNS-Abfrage mit Perl (u.a. erforderlich für SpamAssin)
-> perl_net_ident => Perl Modul zum erspähen des Gegenübers
-> perl_sys_syslog => Perl Modul zum Systemlog
-> php5_cgi 1.0.0 => zum Ausführen von CGI-Scripten auf dem miniHTTPd
-> phpMyAdmin- => anderes Layout für phpMyAdmin
-> phpMyAdmin 2.6.2 => zum vereinfachten Erstellen und Bearbeiten von SQL Datenbanken
-> phyton 0.2.1 => Python Interpreter 2.3.4
-> pkg-config 0.1.1 => pkg hilft dir beim Compilieren und Erstellen von Libraries
-> rrdtool 0.3.0 => die Round Robin Database 1.0.48 zur Statusanzeige, wie z.B. Temperatur pder Netzwerktraffic etc.
-> samba 1.20.1 => samba 3.0.15pre2, samba-vscan-0.3.6 & smbwebclient 2.9 (Squid korrigieren auf 1.3.2 or higher!!)
-> sambaexpert 0.0.3 => alles was im Samba für eisfair nicht möglich ist (einzelne Variablen) kann man hier eintragen
-> squid 1.4.1 => Squid 2.5 Stable 6 Webproxy und Squid Guard 1.2.0
-> timesync 1.0.1 => zur Zeitsynchronisation des Servers via miniHTTPd
-> tint 1.0.0 => Tetrisclone für die Konsole
-> tss2d 1.0.2 => TeamSpeak-Server 2.0.20.1 -> goteamspeak.com
-> unimount 0.2.2 => zum Mounten von Devices
-> usb 0.3.2 => USB Unterstützung & zusätzlich eagle-usb driver 2.3.2 installiert (unstable!) (Hilfe)
-> webconf v0.40.4 => Webconfigurator für den Server
-> Webmail Services 1.1.4 => Webmail Services für Apache2 mit der Squirrelmail Version 1.4.2
-> wol 0.90.2 => ether-wake Befehl für den eisfair
-> XML-DOM-1.43 => XML::DOM (u.a. für Confixx 3 erforderlich)
-> XML-Parser-2.34 => XML-Parser 2.34 (u.a. für Confixx 3 erforderlich)
-> zlib 1.1.0 => libz Komnprimierung
-> libz-dev 1.1.0 => libz Komprimierung
   
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
daniel@kubein.de